﻿namespace SoapEndpoint.Service.Proxy.Models.Flows;

public class BerichtModel<TMessageType> where TMessageType : Enum
{
    public BerichtModel(string content, TMessageType berichttype)
    {
        Content = content;
        Berichttype = berichttype.ToString();
    }

    public BerichtModel(string content, string? typeName)
    {
        Content = content;
        Berichttype = typeName;
    }

    public string Content { get; set; }
    public string? Berichttype { get; set; }
}