﻿using SoapEndpoint.Service.Proxy.Models.Systeem;

namespace SoapEndpoint.Service.Proxy.Models.Flows;

public record MessageModel<TMessageType>(Guid Reference, ShvKnooppuntBerichtBevestigingModel Result,
    TMessageType MessageBoxType) where TMessageType : Enum
{
    protected TMessageType GetMessageBoxType(int type) =>
        (TMessageType)Enum.Parse(typeof(TMessageType), $"{type}");
}