﻿using SoapEndpoint.Service.Proxy.Models.Flows;

namespace SoapEndpoint.Tester.Scenario;

public class Conversation
{
    public Conversation(FlowType flowType)
    {
        Reference = Guid.NewGuid();
        FlowType = flowType;
    }

    public Conversation(Guid reference, FlowType flowType)
    {
        Reference = reference;
        FlowType = flowType;
    }

    public Guid Reference { get; set; }
    public FlowType FlowType { get; set; }
}