﻿using SoapEndpoint.Service.Flows.Inventarisatie.v1.LogbookService;
using SoapEndpoint.Tester.Scenario.Flow.Inventarisatie;

namespace SoapEndpoint.Tester.Scenario.Implementations.Inventarisatie;

public class StatusberichtStatusverzoek : InventarisatieScenarioBase
{
    public override string Name => "Statusbericht / statusverzoek";

    protected override async Task ExecuteAsync()
    {
        StartNewScenario("Scenario 1");

        await Manager.SHV_RequestReplyAsync(Conversation, new ShvFlowItem(BerichtType.SHV_Saldoverzoek));

        await Manager.SHV_RequestReplyAsync(Conversation, new ShvFlowItem(BerichtType.SHV_StatusberichtShv));

        await Manager.SE_RequestReplyAsync(Conversation, new SeFlowItem(BerichtType.SE_StatusberichtSe));
    }
}