﻿using SoapEndpoint.Service.Flows.SbEnSk.v1.LogbookService;
using SoapEndpoint.Tester.Scenario.Flow.SbEnSk;

namespace SoapEndpoint.Tester.Scenario.Implementations.SbEnSk;

public class GeenMedewerkingScenario : SbEnSkScenarioBase
{
    public override string Name => "Geen medewerking";

    protected override async Task ExecuteAsync()
    {
        StartNewScenario("Geen medewerking 1");

        await Manager.SHV_FlowAsync(Conversation, null,
            new ShvFlowItem(BerichtType.SHV_Kennisgeving, BerichtType.SE_GeenMedewerking));

        StartNewScenario("Geen medewerking 2");

        await Manager.SHV_FlowAsync(Conversation, null,
            new ShvFlowItem(BerichtType.SHV_Saldoverzoek, BerichtType.SE_GeenMedewerking));
    }
}