﻿using AutoMapper;

namespace SoapEndpoint.Service.Proxy.Infrastructure;

public static class AutoMapperHelper
{
    public static IMapper InitializeAutoMapper()
    {
        var config = new MapperConfiguration(cfg =>
        {
            cfg.AddProfile<MappingProfileV1>();
            cfg.AddProfile<MappingProfileV2>();
        });
        return config.CreateMapper();
    }
}