﻿using SoapEndpoint.Service.Systeem.v1.ConnectionTestService;

namespace SoapEndpoint.Service.Proxy.ServiceProxies.Systeem.v1;

public class ConnectionTestProxy : IConnectionTestProxy
{
    private readonly IConnectionTestService _service;

    public ConnectionTestProxy(IConnectionTestService service)
    {
        _service = service;
    }

    public async Task<bool> TestConnectionAsync() => await _service.TestConnectionAsync();
}